package CPU.instructions;
import CPU.InstructionSet;
import CPU.DisassembledInstruction;

/**
 * The NOP instruction.
 * 
 * @author and Copyright (c) for my code Wolfgang Lenerz 2013-2014
 * 
 * Based on code by Tony Headford, see his licence in accompanying file.
 */
    
public class NOP implements InstructionSet
{
    @Override
    public final void register( CPU.MC68000Cpu cpu2)
    {
        CPU.Instruction is =new  CPU.Instruction()
        {
            @Override
            public final void execute(int opcode,CPU.MC68000Cpu cpu)
            {
            }
            
            @Override
            public final DisassembledInstruction disassemble(int address, int opcode,CPU.MC68000Cpu cpu)
            {
                return new DisassembledInstruction(address, opcode, "NOP");
            }
        };
        cpu2.addInstruction(0x4e71, is);
    }
}
    
