package drivers;

import ui.Localization;

/**
 * This exception should get thrown when the WIN, MEM or FLP drivers are fed files that cannot be locked.
 * 
 * @author and copyright (c)  wolfgang Lenerz 2019
 */

public class FileLockException extends Exception
{
    /**
     * This just calls super.
     */
    public FileLockException() 
    {
        super(Localization.Texts[66]);
    }
}
